1. Affiliate.com API Endpoints
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
      • Get All Product Watches
      • Get Specific Product Watch
      • Get Specific Product Watch from Metadata
      • Edit Product Watch
      • Delete Product Watch
      • Get Single Product Watch Notification History
      • Get Product Watch Notification History via Metadata
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Affiliate.com API Endpoints

Tools

Tools API Documentation

Overview

The Tools API allows you to convert between various data sources, such as barcode, SKU, ASIN, and top merchant URLs. This is useful for situations where you have a specific known source of product data and you need different identifiers for the same product(s).

Request Format

Endpoints:
/tools/convert/ASIN-to-barcode
/tools/convert/barcode-to-sku
/tools/convert/sku-to-barcode
/tools/convert/url-to-barcode
/tools/convert/barcode-to-asin

Method: POST

Headers:

  • Content-Type: application/json
  • Authorization: Bearer {your_api_key}

Request Body:

Parameters

Parameter Name Type Required Description Example
data Array of Strings Yes The known values that you want to convert FROM
  • ASIN (limit of 10 ASINs per call):
    ["B0C792QRW6","B00AQUO5RI", "B0C792QRW9"]
    
  • Barcode:
    ["9349520733755","648093563899","1234567890123"]
    
  • SKU
    ["12987717129","9853123116","9885868036"]
    
  • url:
    ["https://www.amazon.com/Breville-BES870XL-Barista-Express-Espresso/dp/B00CH9QWOU/ref=sr_1_5",
    "https://www.target.com/p/ninja-professional-plus-blender-duo-with-auto-iq-bn753tgt/-/A-82809464",
    "https://www.walmart.com/ip/Chefman-Espresso-Machine-w-Milk-Frother-15-Bar-Pump-Digital-Display-Black-Stainless-Steel-New/5126097010"]
    
config Array of Strings Sometimes (see to right)
  • When providing and ASIN, you must specify and Amazon locale
"config": {
    "asin": {
        "locale": "US"
        }
}
  • When providing a SKU, you must include either merchant name or merchant url. If both are provided, only merchant name will be used.
"config": {
    "merchant": {
        "name": "walmart"
        }
}

Response

The response will return results that it fins that match the criteria you provided. If a conversion cannot be made, it will return null

Barcode to SKU

{
    "meta": {
        "from": "barcode",
        "to": "sku",
        "from_total": 5,
        "to_total": 4,
        "config": {
            "merchant": {
                "name": "walmart"
            }
        },
        "trace_id": "0192e7de-ee66-72ad-9a8c-95f8055238da"
    },
    "data": {
        "9349520733755": "12987717129",
        "648093563899": "9853123116",
        "1234567890123": null,
        "648093561147": "9885868036",
        "648093562182": "9899956927"
    }
}

SKU to Barcode

{
    "meta": {
        "from": "sku",
        "to": "barcode",
        "from_total": 4,
        "to_total": 4,
        "config": {
            "merchant": {
                "name": "walmart"
            }
        },
        "trace_id": "0192e388-d982-720f-9f5d-172e335160fd"
    },
    "data": {
        "12987717129": "9349520733755",
        "9853123116": "648093563899",
        "9885868036": "648093561147",
        "9899956927": "648093562182"
    }
}

ASIN to Barcode

{
    "meta": {
        "from": "asin",
        "to": "barcode",
        "from_total": 3,
        "to_total": 2,
        "config": {
            "asin": {
                "locale": "US"
            }
        },
        "trace_id": "0192f58a-0fde-7201-9bc7-653d0a6c4168"
    },
    "data": {
        "B0C792QRW6": [
            "0887276760049",
            "8806095074122"
        ],
        "B00AQUO5RI": [
            "0706487014362",
            "0615822003643"
        ],
        "B0C792QRW9": []
    }
}

URL to Barcode

{
    "meta": {
        "from": "url",
        "to": "barcode",
        "from_total": 2,
        "to_total": 2,
        "trace_id": "0192f58a-927a-7320-b9db-6ad8e875b4df"
    },
    "data": {
        "https://www.cabelas.com/shop/en/jbl-by-harman-charge-5-waterproof-speaker-with-partyboost": ["50036380232"],
        "https://www.abt.com/JBL-Charge-5-Black-Portable-Waterproof-Speaker-With-Powerbank-JBLCHARGE5BLKAM/p/159497.html": ["50036380218"]
    }
}

Barcode to ASIN

{
    "meta": {
        "from": "barcode",
        "to": "asin",
        "from_total": 2,
        "to_total": 1,
        "trace_id": "0196f461-079d-73c5-9c4e-aab8c4834d53"
    },
    "data": {
        "8806095074122": [
            {
                "asin": "B0C792QRW6",
                "locale": "us"
            }
        ]
    }
}

Response Fields

Main Response

Field NameTypeDescription
metaobjectMetadata about the number of results.
dataobjectThe conversion pairs.

meta Object

Field NameTypeDescription
fromstringThe source of the conversoin
tostrinThe target of the conversion
from_totalintegerNumber of known sources that were given
to_totalintegerNumber of coversions that were found and returned
configobjectThe config that was used in the request

data Object

"data": {
*source*  : *target*
}

For ASINs and Amazon URLs the results can contain an array of barcodes. If no barcodes are found for a given URL, an empty array will be returned []:

"data": {
 *url* : [*barcode*],
 *url* : [*barcode*, *barcode*,],
 *url*: []
}
Modified at 2025-05-21 20:20:06
Previous
Omni
Next
URL to Barcode